ROSEGARDEN-PROJECT-PACKAGE(1)

NAME
rosegarden-project-package - converts between Rosegarden (.rg) files and Rosegarden Project (.rgp) files.

SYNOPSIS
orosegarden-project-package [--quiet] [--pack] [--unpack] [--conftest] [FILE] [.rg|.rgp]

OPTIONS
--quiet Besilent --unpack Unpack.rgpfile --pack Pack.rgfileplusassociatedexternaldatafilesinto.rgpfile --conftest Testenvironmentfornecessaryinstalledcomponents

DESCRIPTION
This program converts between Rosegarden (.rg) files and Rosegarden Project (.rgp) files. It is primarily intended to be used internally and transparently by the Rosegarden application. A Rosegarden file (.rg) is a single file (in gzipped XML format) that defines a Rosegarden composition in terms of events, segments, programs, plugin data, references to audio files, and so on. Some of these types of information depend on the presence of external files such as the audio files or plugin preset data, without which the file cannot be used. A Rosegarden Project (.rgp) file is a bundle of files, including the Rosegarden file itself, as well as any audio file or other external data it requires, in compressed form. A Rosegarden Project file is intended to be portable and self-contained, but the Rosegarden program itself does not (at the time of writing) understand these files directly. This program can take a Rosegarden file, examine it to find out which other data files it uses, and pack it to create the corresponding Rosegarden Project file. Conversely, it can also take a Rosegarden Project file and unpack it as a project directory for use with Rosegarden.

REQUIREMENTS
Working installation of Lilypond 2.0 or later KGhostView or KPDF or XPDF or GhostView or GS XDialog or Konsole or RXVT or Xterm [for graphical mode only]

AUTHOR
Chris Cannam

COPYRIGHT
2005-2006 Fervent Software.